/*----------------------------------------------------------------------------*
 * Used to modify the styles of org-mode HTML export.                         *
 *----------------------------------------------------------------------------*/

/* Font faces */

@font-face {
    font-family: 'Latin Modern';
    font-style: normal;
    font-weight: normal;
    font-display: swap;
    src: url('../fonts/LM-regular.ttf') format('truetype'),
         url('../fonts/LM-regular.woff2') format('woff2'),
         url('../fonts/LM-regular.woff') format('woff');
}

@font-face {
    font-family: 'Latin Modern';
    font-style: italic;
    font-weight: normal;
    font-display: swap;
    src: url('../fonts/LM-italic.ttf') format('truetype'),
         url('../fonts/LM-italic.woff2') format('woff2'),
         url('../fonts/LM-italic.woff') format('woff');
}

@font-face {
    font-family: 'Latin Modern';
    font-style: normal;
    font-weight: bold;
    font-display: swap;
    src: url('../fonts/LM-bold.ttf') format('truetype'),
         url('../fonts/LM-bold.woff2') format('woff2'),
         url('../fonts/LM-bold.woff') format('woff');
}

@font-face {
    font-family: 'Latin Modern';
    font-style: italic;
    font-weight: bold;
    font-display: swap;
    src: url('../fonts/LM-bold-italic.ttf') format('truetype'),
         url('../fonts/LM-bold-italic.woff2') format('woff2'),
         url('../fonts/LM-bold-italic.woff') format('woff');
}

@font-face {
  font-family: 'Libertinus';
  font-style: normal;
  font-weight: normal;
  font-display: swap;
  src: url('../fonts/LibertinusSerif-Regular.woff2') format('woff2');
}

@font-face {
  font-family: 'Libertinus';
  font-style: italic;
  font-weight: normal;
  font-display: swap;
  src: url('../fonts/LibertinusSerif-Italic.woff2') format('woff2');
}

@font-face {
  font-family: 'Libertinus';
  font-style: normal;
  font-weight: bold;
  font-display: swap;
  src: url('../fonts/LibertinusSerif-Bold.woff2') format('woff2');
}

@font-face {
  font-family: 'Libertinus';
  font-style: italic;
  font-weight: bold;
  font-display: swap;
  src: url('../fonts/LibertinusSerif-BoldItalic.woff2') format('woff2');
}

@font-face {
  font-family: 'Libertinus';
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: url('../fonts/LibertinusSerif-Semibold.woff2') format('woff2');
}

@font-face {
  font-family: 'Libertinus';
  font-style: italic;
  font-weight: 600;
  font-display: swap;
  src: url('../fonts/LibertinusSerif-SemiboldItalic.woff2') format('woff2');
}

/*----------------------------------------------------------------------------*/


body {
    font-family: 'Libertinus', Georgia, Cambria, 'Times New Roman', Times, serif;
    margin-bottom: 4em;
    background-color: #FFFFFF;
}

#content {
    max-width: 750px;
}

#org-div-home-and-up {
    text-align: center;
    font-size: 80%;
    padding-bottom: 1em;
    border-bottom: 1px solid #aaaaaa;
}

h1, h2, h3, h4 {
    color: #333333;
}

hr {
    border: none;
    height: 1px;
    color: #aaaaaa;
    background-color: #aaaaaa;
}

/*----------------------------------------------------------------------------*/

p, .footdef {
    text-align: justify;
}

p, li {
    line-height: 1.4em;
}

dl.org-dl dd p:nth-child(1) {
    margin-top: 0px;
}

dl.org-dl dd p:nth-last-child(1) {
    margin-bottom: 0px;
}

dl.org-dl dd {
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

#text-table-of-contents li {
    line-height: 1.3em;
}

p sup, li sup, p sub, li sub {
    line-height: 0.5em;
}

/*----------------------------------------------------------------------------*/

pre.src::before {
    background-color: inherit;
    color: #999;
}

pre.src .linenr {
    color: #999;
    user-select: none;
}

pre.src-nasm::before { content: 'Assembler (NASM)'; }

/*----------------------------------------------------------------------------*/

code {
    background-color: rgba(0, 0, 0, 0.10);
    border-radius: 2px;
    padding: 1px 3px;
    line-height: normal;
}

/*----------------------------------------------------------------------------*/

a {
    color: rgb(0, 70, 200);
    text-decoration-color: rgba(0, 70, 200, 0.2);
}

a[href^='#'] {
    text-decoration-style: dashed;
}

a:hover {
    text-decoration-color: rgb(0, 70, 200);
}

/*----------------------------------------------------------------------------*/

blockquote {
    background: #F1F1F1;
    border-left: 5px solid #ccc;
    margin: 1.5em;
    padding: 0.5em 1.5em;
}

/*----------------------------------------------------------------------------*/

table {
    border: solid 1px #dddddd;
    border-collapse: collapse;
    border-spacing: 0;
    margin-top: 1.2em;
    margin-bottom: 1.2em;
    margin-left: auto;
    margin-right: auto;
}

table thead th {
    background-color: #eeeeee;
    border: solid 1px #cccccc;
    padding-left: 10px;
    padding-right: 10px;
}

table tbody td {
    border: solid 1px #cccccc;
}

/*----------------------------------------------------------------------------*/

img {
    max-width: 100%;
}

.figure {
    padding: 0.5em 1em;
}

/*----------------------------------------------------------------------------*/

.figure-number, .table-number {
    font-weight: bold;
}

/*----------------------------------------------------------------------------*/

#footnotes {
    margin-top: 2em;
    border-top: 1px solid #222;
}
